apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: monitoring
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: system
  source:
    directory:
      jsonnet:
        libs:
          - system/monitoring/vendor
      exclude: '{jsonnetfile.json,jsonnetfile.lock.json}'
    path: system/monitoring
    repoURL: https://git.tbrnt.ch/tobru/gitops-zurrli.git
    targetRevision: HEAD
  destination:
    namespace: monitoring
    server: https://kubernetes.default.svc
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
      - ServerSideApply=true
  ignoreDifferences:
    - group: monitoring.coreos.com
      kind: ServiceMonitor
      name: kubelet
      jsonPointers:
      - /spec/endpoints
